Bug 968257 - Review Request: jdeparser - Source generator library for Java
Review Request: jdeparser - Source generator library for Java
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Srb
Fedora Extras Quality Assurance
:
: 963704 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 06:23 EDT by Marek Goldmann
Modified: 2013-06-03 16:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-03 16:33:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msrb: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marek Goldmann 2013-05-29 06:23:17 EDT
Spec URL: http://goldmann.fedorapeople.org/package_review/jdeparser/1/jdeparser.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/jdeparser/1/jdeparser-1.0.0-1.fc18.src.rpm
Description:

This project is a fork of Sun's (now Oracle's) com.sun.codemodel project. We
decided to fork the project because by all evidence, the upstream project is
dead and not actively accepting outside contribution. All JBoss projects are
urged to use this project instead for source code generation.

Fedora Account System Username: goldmann

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=5437717
Comment 1 Michal Srb 2013-05-29 06:37:10 EDT
Possibly duplicate of #963704
Comment 2 gil cattaneo 2013-05-29 06:39:28 EDT
this bug already exist https://bugzilla.redhat.com/show_bug.cgi?id=963704
regards
Comment 3 Marek Goldmann 2013-05-29 06:42:49 EDT
OK, gil, please update your spec to the new guidelines or mark yours as duplicate of this.
Comment 4 gil cattaneo 2013-05-29 06:48:30 EDT
*** Bug 963704 has been marked as a duplicate of this bug. ***
Comment 5 Michal Srb 2013-05-29 07:53:29 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable




===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[!]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jdeparser-1.0.0-1.fc20.noarch.rpm
          jdeparser-javadoc-1.0.0-1.fc20.noarch.rpm
jdeparser.noarch: W: spelling-error %description -l en_US codemodel -> code model, code-model, remodel
jdeparser-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
jdeparser-javadoc.noarch: E: script-without-shebang /usr/share/javadoc/jdeparser/javadoc.sh
2 packages and 0 specfiles checked; 1 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint jdeparser-javadoc jdeparser
jdeparser-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
jdeparser-javadoc.noarch: E: script-without-shebang /usr/share/javadoc/jdeparser/javadoc.sh
jdeparser.noarch: W: spelling-error %description -l en_US codemodel -> code model, code-model, remodel
2 packages and 0 specfiles checked; 1 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
jdeparser-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

jdeparser (rpmlib, GLIBC filtered):
    java
    jpackage-utils



Provides
--------
jdeparser-javadoc:
    jdeparser-javadoc

jdeparser:
    jdeparser
    mvn(org.jboss.jdeparser:jdeparser)



Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 968257



Issues:
=======
- Javadoc subpackages should not have Requires: jpackage-utils
  Note: jpackage-utils requires are automatically generated by the buildsystem
  See: https://fedoraproject.org/wiki/Packaging:Java
Same applies for R: java


jdeparser-javadoc.noarch: E: script-without-shebang /usr/share/javadoc/jdeparser/javadoc.sh
javadoc.sh is only generated when debugging is enabled. you can simply rebuild your package
with disabled debugging and this line will disappear

The only real issue is license tag. JDeparser is dual-licensed under CDDL and GPLv2 with exception,
but tarball also contains one file under MIT. So I would say: "(CDDL or GPLv2 with exceptions) and MIT"

Please fix these issues before importing spec to the git
Comment 6 Marek Goldmann 2013-05-29 07:59:04 EDT
Thank for the review, I'll fix these small issues!

New Package SCM Request
=======================
Package Name: jdeparser
Short Description: Source generator library for Java
Owners: goldmann
Comment 7 Gwyn Ciesla 2013-05-29 09:38:01 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.